Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class ForwardingDeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy
          org.jboss.seam.deployment.ForwardingDeploymentStrategy

Direct Known Subclasses:
  TimestampCheckForwardingDeploymentStrategy

    public abstract class ForwardingDeploymentStrategy

extends DeploymentStrategy

A decorator for DeploymentStrategy

Author:
  Dan Allen, Pete Muir

Field Summary

Fields inherited from class org.jboss.seam.deployment.DeploymentStrategy
`SCANNERS_KEY`

Constructor Summary
`ForwardingDeploymentStrategy()`

Method Summary
`protected abstract DeploymentStrategy` | `delegate()`
`boolean` | `equals(Object obj)`
`ClassLoader` | `getClassLoader()` Get the classloader to use
`Map<String,DeploymentHandler>` | `getDeploymentHandlers()` Get (or modify) any registered `DeploymentHandler`s Implementations of `DeploymentStrategy` may add default `DeploymentHandler`s
`protected String` | `getDeploymentHandlersKey()`
`List<File>` | `getFiles()`
`protected Scanner` | `getScanner()` Get the scanner being used
`javax.servlet.ServletContext` | `getServletContext()` Get the ServletContext to use
`long` | `getTimestamp()`
`int` | `hashCode()`
`protected void` | `postScan()`
`void` | `scan()` Do the scan for resources Should only be called by Seam
`void` | `setFiles(List<File> files)`
`String` | `toString()`

Methods inherited from class org.jboss.seam.deployment.DeploymentStrategy
`initScanner`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForwardingDeploymentStrategy

    public ForwardingDeploymentStrategy()

Method Detail

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from class: `DeploymentStrategy`
  Get the classloader to use

  Specified by:
    `getClassLoader` in class `DeploymentStrategy`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from class: `DeploymentStrategy`
  Get the ServletContext to use

  Specified by:
    `getServletContext` in class `DeploymentStrategy`

### getDeploymentHandlersKey

    protected String getDeploymentHandlersKey()

  Specified by:
    `getDeploymentHandlersKey` in class `DeploymentStrategy`

### scan

    public void scan()

  Description copied from class: `DeploymentStrategy`
  Do the scan for resources Should only be called by Seam

  Specified by:
    `scan` in class `DeploymentStrategy`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getDeploymentHandlers

    public Map<String,DeploymentHandler> getDeploymentHandlers()

  Description copied from class: `DeploymentStrategy`
  Get (or modify) any registered `DeploymentHandler`s Implementations of `DeploymentStrategy` may add default `DeploymentHandler`s

  Overrides:
    `getDeploymentHandlers` in class `DeploymentStrategy`

### getFiles

    public List<File> getFiles()

  Overrides:
    `getFiles` in class `DeploymentStrategy`

### getScanner

    protected Scanner getScanner()

  Description copied from class: `DeploymentStrategy`
  Get the scanner being used

  Overrides:
    `getScanner` in class `DeploymentStrategy`

### getTimestamp

    public long getTimestamp()

  Overrides:
    `getTimestamp` in class `DeploymentStrategy`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### postScan

    protected void postScan()

  Overrides:
    `postScan` in class `DeploymentStrategy`

### setFiles

    public void setFiles(List<File> files)

  Overrides:
    `setFiles` in class `DeploymentStrategy`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### delegate

    protected abstract DeploymentStrategy delegate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.